petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningSetFromOptions

Sets various partitioning options from the options database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetFromOptions(MatPartitioning part)

Collective on MatPartitioning Many br

### Input Parameter

part -the partitioning context. Many br

### Options Database Command

     -mat_partitioning_type  <type>

         Use -help for a list of available methods

         (for instance, parmetis)

Many br

### Keywords

partitioning, set, method, type

Level:beginner
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html
src/ksp/ksp/examples/tutorials/ex64.c.html